Hallo, Gast!


Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
[ERLEDIGT] Skindesigner: Kein Git Repository verfügbar
#1
Hi,

da im blacholefrodo Theme das Zapcockpit nicht funktioniert, wollte ich im skindesigner mal nach einer neuen Version schauen. Wenn ich im Plugin Skindesigner die rote Taste drücke, dann bekomme ich die Meldung

"Kein Git Repository verfügbar"

angezeigt. Im Syslog taucht folgender Fehler auf:

Code:
Apr 18 17:10:29 easyVDR vdr: [7528] skindesigner: ERROR updating skinrepository. Command: cd /var/lib/vdr/plugins/skindesigner/installerskins/skinrepositories/; git pull

Ich habe nachgeschaut und das Verzeichnis ist leer.

Ist das gewollt oder ein Fehler?

Gruß
Obelix
 Zitieren
#2
Hallo Obelix
Was funktioniert den nicht in Blackholefrodo Skin
Wenn in den Tachoscheiben nichts angezeigt wird must Du die Datei
in /usr/lib/vdr/skindesigner/scripts/temperatures anpassen.
Daten kannst Du evtl aus dem EasyVDR Portal unter System / Sensoren auf der Rechten Seite nehmen
Wenn dort noch nichts angezeigt wird kann man sich auf der Eingabekonsole
mit Adminrechten die Daten besorgen mit
sensors-detect hier alles mit yes bestätigen und zum Schluss mit der Return Taste speichern.
Mit dem Befehl sensors kann man sich die gefunden Daten anschauen.
Dann noch mal in EasyVDR Portal unter System müssten dann Deine Daten zusehen sein
Die benötigten Daten dann in Datei temperatures eintragen.
Die Einträge bei einem AMD Mainboard sehen in der Datei temperatures bei mir so aus..
-------------------------------------------------------------------------------------------------------------------
#!/bin/bash

# please update this script to fit your needs
# this script is call every time the widget will be drawn, so keep it short and fast Wink

OUTPUTFLDR="/tmp/skindesigner/"
mkdir -p ${OUTPUTFLDR}

# if the script is executed from system_information script set the locale back for "°C"
LANG=de_DE.UTF-8

# there can be 4 files, cpu, gpu, pccase, motherboard

rm -f ${OUTPUTFLDR}/cpu ${OUTPUTFLDR}/pccase ${OUTPUTFLDR}/gpu ${OUTPUTFLDR}/motherboard

# k10 AMD CPU AM3 X2 240
# sensors -A k10temp-pci-00c3 | grep "temp1" | awk '{print $3}' | tr -d "+" > ${OUTPUTFLDR}/cpu
sensors -A k10temp-pci-00c3 | grep "temp1:" | cut -d+ -f 2 > ${OUTPUTFLDR}/cpu

# pc case temp
# sensors -A acpitz-virtual-0 | grep "temp1" | awk '{print $2}' | tr -d "+" > ${OUTPUTFLDR}/pccase

# motherboard temp
sensors -A acpitz-virtual-0 | grep "temp3" | awk '{print $2}' | tr -d "+" > ${OUTPUTFLDR}/motherboard

# nvidia gpu temp
# nvidia-settings must be run as the user of the x server
# GPU=`nvidia-settings -c :0 -t -query GPUCoreTemp | head -n 1`
GPU=`nvidia-smi --query-gpu=temperature.gpu --format=csv,noheader`
echo "${GPU}°C" > ${OUTPUTFLDR}/gpu

-------------------------------------------------------------------------------------------------------------------------------------
Das kann aber bei einem Intel Mainboard ganz anders aussehen..
Die Daten kannst evtl. auch für die Datei systeminfo.sh zu finden in
/usr/share/vdr-plugin-systeminfo nehmen wenn dort noch nicht alles angezeigt wird..

Gebe zu macht etwas Arbeit aber so funzt es..
Im Anhang eine eingedeutschte systeminfo.sh bitte  .txt entfernen..
Gruß Oberlooser


Angehängte Dateien
.txt   systeminfo.sh.txt (Größe: 4,01 KB / Downloads: 1)
VDR : Digitainer I Gehäuse - MSI G41M P25 Board - CPU-Intel P4 E5700 - 2x1GB DDR3 RAM - MSI GT 720 PCI-e HDMI - Mystique SaTiX S2 PCI-e 1 + Skystar 2.6D - 1TB W.D. Green HDD - LG GH24NSC0 DVD - Atric seriell mit SMK RC6 MCE 50GB Fernbedienung - EasyVDR 3.0-64 Stable  ISO - Softhddevice mit Pulseaudio und Blackholefrodo OSD - Kodi 17.1 Final mit Estuary Skin
VDR-Client,s : Media MVP Scart, VIP BOX 1903, 1910 , EasyStream 0.6-18 für WIN 10, Raspberry PI 3 mit OpenElec 7.01 und TotalControl FB Code 0104 Lirc an Tsop 31238
 Zitieren
#3
Hi,

(18.04.2017, 16:17)obelix schrieb: da im blacholefrodo Theme das Zapcockpit nicht funktioniert, wollte ich im skindesigner mal nach einer neuen Version schauen.
es gibt da nichts neues!

(18.04.2017, 16:17)obelix schrieb: Ist das gewollt oder ein Fehler?
Ja ist gewollt, da ich mir die Mühe mache alle Logos anzupassen da wir mit Plugin setup
zig Logos mehr haben. Wenn aber Skins aus "skinrepository" gewünscht werden, brauch ich mir
die Arbeit nicht machen und jeder erstellt sich die Logos selbst!

Gruss
Wolfgang

 Zitieren
#4
Hi Wolfgang

(18.04.2017, 18:02)mango schrieb: Wenn aber Skins aus "skinrepository" gewünscht werden, brauch ich mir
die Arbeit nicht machen und jeder erstellt sich die Logos selbst!
Nanü, Obelix hat doch nur gefragt..
Ich Versuch dir mal ein Lächeln zu zaubern Smile

Hab dein Haus gefunden
[Bild: 224f4220cdcc0e485dad50c9dc678502.jpg]

Grüße Aaron

Gesendet von meinem SM-G935F mit Tapatalk
Mediacenter
easyVDR3.0(4.2.0 64-Bit) Gigabyte, Ltd. H97-HD3 mit Intel® G3260 @ 3.30GHz 4GB DDRx,Intelgrafik,MATSHITA BD-MLT UJ265 Bluray LW, 2TB Festplatte,LCD+IRTrans-Empfänger,2x SkystarS2 PCI
[Bild: IMG_20150725_090852.JPG?dl=1&pv=1]
 Zitieren
#5
Hi,

(18.04.2017, 19:01)gb schrieb: Nanü, Obelix hat doch nur gefragt..
und ich habe geantwortet! Cool

Gruss
Wolfgang

 Zitieren
#6
(18.04.2017, 17:33)Oberlooser schrieb: Hallo Obelix
Was funktioniert den nicht in Blackholefrodo Skin
Ahoi,

das Zapcockpit (Fernbedienung Tasten links / rechts) funktioniert nicht. Die Tachowerte funktionieren. Danke dennoch für die Anleitung  Cool

@Wolfgang: Ich hatte über Google im MLD Forum einen Hinweis gefunden, wo genau dieses Problem über das GIT Update gelöst wurde und da habe ich es mal versucht. Wenn das so gewollt ist, dann ist es so. Finde es OK. Alles gut  Smile

Gruß
Obelix
 Zitieren
#7
Hi obelix,

(18.04.2017, 19:27)obelix schrieb: Ich hatte über Google im MLD Forum einen Hinweis gefunden, wo genau dieses Problem über das GIT Update gelöst wurde und da habe ich es mal versucht.
ich hatte in debian/control -> depends git entfernt!
Wie man sieht letzter commit ist von 30.03.2016
https://github.com/FrodoVDR/blackholefro...its/master

P.S
Hier als Beispiel was tomas am shady-skin für "Zapcockpit" geändert hat!
https://github.com/tomsax56/shady/commit...82f73242d5

Gruss
Wolfgang

 Zitieren
#8
(18.04.2017, 19:43)mango schrieb: Hi obelix,

(18.04.2017, 19:27)obelix schrieb: Ich hatte über Google im MLD Forum einen Hinweis gefunden, wo genau dieses Problem über das GIT Update gelöst wurde und da habe ich es mal versucht.
ich hatte in debian/control -> depends git entfernt!
Wie man sieht letzter commit ist von 30.03.2016
https://github.com/FrodoVDR/blackholefro...its/master

P.S
Hier als Beispiel was tomas am shady-skin für "Zapcockpit" geändert hat!
https://github.com/tomsax56/shady/commit...82f73242d5  

Gruss
Wolfgang
Hallo Wolfgang,

danke für die Info. Ich habe mir das mal angeschaut. Ob sich das so einfach portieren lässt, glaube ich nicht. Dennoch werde ich mich mal daran versuchen  Wink  . Meinen Hinweis weiter oben mit dem MLD Forum muss ich etwas korrigieren. In dem Thread gab es einen Nachtrag, dass die angesprochen Menüs u.a. bei blackholefrodo auch "nach" Aktualisierung nicht funktionieren. Dies deckt sich natürlich mit deinem Hinweis, dass sich im blackholefrodo GIT nichts getan hat.

Gruß
Obelix
 Zitieren
#9
Hi obelix,

(19.04.2017, 09:02)obelix schrieb: Dies deckt sich natürlich mit deinem Hinweis, dass sich im blackholefrodo GIT nichts getan hat
...schreib doch frodo im VDR-Portal mal an, vllt. baut er die Erweiterung für Zapcockpit ein.

Gruss
Wolfgang

 Zitieren
#10
Hallo Wolfgang,

ich verschaffe mir gerade mal einen Überblick bezüglich Skindesigner. Da sind neben einigen Themes auch einige Plugins (u.a. bgprocess) die nicht mehr so ihren Dienst verrichten, wie unter den klassischen Themes. Mit Frodo nehmen ich gerne mal Kontakt auf. 

Was bgprocess angeht, gehen die Details verloren, wenn man den angezeigten Prozess klickt. Es steht dann lediglich die Nummer der Aufzählung da. Da klopfe ich mal bei Tomas an.

Gruß

Obelix
 Zitieren
#11
Hallo obelix,

im "3-vdr-stable PPA" liegt die von tomas an PLG bgprocess angepasste Version von
skindesigner-skin-shady - Bitte testen!

Gruss
Wolfgang

 Zitieren
#12
(23.04.2017, 22:38)mango schrieb: Hallo obelix,

im "3-vdr-stable PPA" liegt die von tomas an PLG bgprocess angepasste Version von
skindesigner-skin-shady - Bitte testen!

Gruss
Wolfgang

Hallo Wolfgang. Vielen Dank Smile . Ich komme aber erst am Wochenende dazu zu testen. Bin beruflich unterwegs.

Gruß
Obelix
 Zitieren
#13
Hi,

hab mal mit bgprocess getestet, funktioniert 1a mit skin-shady!

Pic:
[Bild: ncf8k28o.jpg]

Gruss
Wolfgang

 Zitieren
#14
Hi obelix,

neue Version "skindesigner-skin-shady" im "3-vdr-stable PPA"
Fixed special handling for bgprocess - commit:3784aae

Gruss
Wolfgang

 Zitieren
#15
(02.05.2017, 19:05)mango schrieb: Hi obelix,

neue Version "skindesigner-skin-shady" im "3-vdr-stable PPA"
Fixed special handling for bgprocess - commit:3784aae

Gruss
Wolfgang
Hallo Wolfgang,

habe es gerade getestet. Danke fürs schnelle Bereitstellen des neuen Paketes.

Gruß
Obelix
 Zitieren


Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste